//<c>   Copyright 1983-1998 by Gerry J. Danen; all rights reserved.

//<t>   Set Border Color

#include"gd_tools.h"
#include"gd_scrn.h"


#define pgVERS_ "V3.11"
#define pgTITL_ "Set Border Color"
#define pgCOPR_ "1983"


STRING  color_menu[] =
        {
        "Black",        "If GD.BORDER env. variable is set to N, this program won't change borders...",
        "Blue",         "",
        "Green",        "",
        "Cyan",         "",
        "Red",          "",
        "Magenta",      "",
        "Brown",        "",
        "White",        "",
        "Grey",         "",
        "Light Blue",   "",
        "Light Green",  "",
        "Light Cyan",   "",
        "Light Red",    "",
        "Light Magenta","",
        "Yellow",       "",
        "Bright White", "",
        ""
        };


void    main( int argc, char *argv[] )
{
    INT16       color, start_choice=1 ;
    UCHAR       *save_scr, cmd ;
    STRING      m_title = " Not for EGA   Press [Esc] to Quit " ;

    if ( argc == 2 )
    {
        _strupr( argv[1] );
        cmd = *argv[1] ;
        color = ERROR ;
        if ( InRange( (INT16) cmd, (INT16) '0', (INT16) '9' ) )
            color = cmd - '0' ;
        if ( InRange( (INT16) cmd, (INT16) 'A', (INT16) 'F' ) )
            color = cmd - 'A' + 10 ;
        if ( color != ERROR )
            BorderColor( color );
        exit( 0 );
    }

    gd_init( 0 );
    PushCursor();
    save_scr = (UCHAR *) malloc( MAXROW*MAXCOLUMN*2 );
    if ( save_scr != NULL )
        ScBlockRead( save_scr, 1,1, MAXROW,MAXCOLUMN );
    SetMenuTitle( m_title );

    FOREVER
    {
        color = ShowMenu( PULLDOWN_MENU_TYPE, color_menu, NO, 4, CenterMsg(m_title)-1, &start_choice );
        if ( color )
        {
            BorderColor( color - 1 );
        }
        else
        {
            if ( save_scr != NULL )
            {
                ScBlockWrite( save_scr, 1,1, MAXROW,MAXCOLUMN );
                free( save_scr );
            }
            PopCursor();
            gd_exit( 0, "" );
        }
    }
}
